| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Types | Public Slots | Public Member Functions | List of all members
ManufSortFilterProxyModel Class Reference

A proxy model for sorting and filtering manufacturer data. More...

`#include <manuf_table_model.h>`

Inheritance diagram for ManufSortFilterProxyModel:

## Public Types
enum | ManufProxyFilterType { FilterEmpty = 0 , FilterByAddress , FilterByName }
| Enumeration of available filter types. More...

## Public Slots
void | setFilterAddress (const QByteArray &bytes)
| Sets the filter to match a specific MAC address.
void | setFilterName (QRegularExpression &name)
| Sets the filter to match a specific manufacturer name.
void | clearFilter ()
| Clears the active filter.

## Public Member Functions
| ManufSortFilterProxyModel (QObject *parent)
| Constructs a new ManufSortFilterProxyModel.
virtual bool | filterAcceptsRow (int source_row, const QModelIndex &source_parent) const override
| Determines if a row is accepted by the current filter.

## Detailed Description

A proxy model for sorting and filtering manufacturer data.

## Member Enumeration Documentation

## ◆ ManufProxyFilterType

enum ManufSortFilterProxyModel::ManufProxyFilterType

Enumeration of available filter types.

Enumerator
FilterEmpty | No filter is applied.
FilterByAddress | Filtering by MAC address.
FilterByName | Filtering by manufacturer name.

## Constructor & Destructor Documentation

## ◆ ManufSortFilterProxyModel()

ManufSortFilterProxyModel::ManufSortFilterProxyModel | ( | QObject * | parent | ) |

Constructs a new ManufSortFilterProxyModel.

Parameters

  parent | The parent QObject.

## Member Function Documentation

## ◆ filterAcceptsRow()

bool ManufSortFilterProxyModel::filterAcceptsRow | ( | int | source_row,
|  | const QModelIndex & | source_parent ) const
| override virtual

Determines if a row is accepted by the current filter.

Parameters

  source_row | The index of the row in the source model.
  source_parent | The parent index in the source model.

Returns
  True if the row is accepted, false otherwise.

## ◆ setFilterAddress

void ManufSortFilterProxyModel::setFilterAddress | ( | const QByteArray & | bytes | ) |
| slot

Sets the filter to match a specific MAC address.

Parameters

  bytes | The byte array representing the MAC address to filter by.

## ◆ setFilterName

void ManufSortFilterProxyModel::setFilterName | ( | QRegularExpression & | name | ) |
| slot

Sets the filter to match a specific manufacturer name.

Parameters

  name | The regular expression to filter the names by.

The documentation for this class was generated from the following files:

- /builds/wireshark/wireshark/ui/qt/models/manuf_table_model.h
- /builds/wireshark/wireshark/ui/qt/models/manuf_table_model.cpp